Skip to main content
GET
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Path Parameters

git_commit_id
string
required

The unique identifier of the git commit.

Example:

"git_commit_123"

Response

200 - application/json

Successfully retrieved the git commit.

object
enum<string>
required

The object type, which is always git_commit.

Available options:
git_commit
Example:

"git_commit"

id
string
required

ID of the git commit.

Example:

"git_commit_123"

sha
string
required

The SHA hash of the git commit.

Example:

"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0"

message
string
required

The commit message.

Example:

"Add basic motion configurations"

repository_owner
string
required

The owner of the git repository.

Example:

"user"

repository_name
string
required

The name of the git repository.

Example:

"repo"

repository_type
enum<string>
required
Available options:
github,
gitlab,
bitbucket
repository_url
string
required

The URL of the git repository.

Example:

"https://github.com/user/repo"

commit_url
string
required

The URL of the git commit.

Example:

"https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0"

created_at
string<date-time>
required

Timestamp of when the git commit was created.

Example:

"2021-01-01T00:00:00Z"

Last modified on May 27, 2026